# Predefined session variables

## Introduction

Each application template has a set of predefined session variables. These variables are visible at the application design stage. The application designer cannot edit or delete these variables. The purpose of these variables is to carry basic information collected during the end user’s completion of the application. This data is automatically filled in by the application displaying the application form and saved in the repository.

## List of system variables

Below are the system variables and their purpose:

* `abandonTime` - time the application was abandoned
* `channel` - channel through which the user completes the application (web, mobile)
* `channelDescription` - channel description (desktop: web, mobile: mobile, native application: APP\_Mobile)
* `currentPageId` - number of the currently displayed page
* `currentPageMid` - mid of the displayed page
* `cvc` - parameter that displays the application in a different view, allows additional fields to be placed next to the application
* `domain` - domain of the launched application (host name only, e.g. `form.consdata.com`)
* `finishTime` - time the user submitted the application
* `finishTimeAfterPayment` - time the user submitted the application after payment
* `formId` - application name
* `formInstanceNumber` - application number
* `ip` - user's IP address
* `operatingSystem` - operating system name (according to the documentation <https://github.com/lancedikson/bowser/blob/1.7.3/README.md> - for GWT, a simplified system detection mechanism is used)
* `paymentResult` - variable indicates whether the payment was successful (used for payment handling functionality, which is handled by external services)
* `startTime` - time the user started filling out the application
* `userAgent` - name of the client application
* `visitedPages` - sequence of visited pages
* `__userEmail__` - value of the field with the email address of the user specified in the contact section on the application properties page
* `externalFormContextId` - external application context identifier (case identifier)
* `businessFormIdentifier` - identifier displayed in the application view, by default the application number
* `SESSIONKEY` - session identifier
* `browserName` - name of the web browser
* `cmisObjectId` - stores the identifier that allows the application to be retrieved
* `internalAuthenticationMethod` - authentication method used in a given activity
* `internalAuthenticationPhoneNumber` - phone number to which the SMS was sent / phone number with the authentication app (OTP-SMS, OPT-PRINTED, MOBILE-APPLICATION)
* `seller` - identifier of the seller directing to the application in the mobile app


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/zmienne-sesyjne/predefiniowane-zmienne-sesyjne.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
